import request from '@/utils/request'

// 创建操作跟进
export function createConsFollowup(data) {
  return request({
    url: '/ecw/cons-followup/create',
    method: 'post',
    data: data
  })
}

// 更新操作跟进
export function updateConsFollowup(data) {
  return request({
    url: '/ecw/cons-followup/update',
    method: 'put',
    data: data
  })
}

// 删除操作跟进
export function deleteConsFollowup(id) {
  return request({
    url: '/ecw/cons-followup/delete?id=' + id,
    method: 'delete'
  })
}

// 获得操作跟进
export function getConsFollowup(id) {
  return request({
    url: '/ecw/cons-followup/get?id=' + id,
    method: 'get'
  })
}

// 获得操作跟进分页
export function getConsFollowupPage(query) {
  return request({
    url: '/ecw/cons-followup/page',
    method: 'get',
    params: query
  })
}

// 导出操作跟进 Excel
export function exportConsFollowupExcel(query) {
  return request({
    url: '/ecw/cons-followup/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
